Subject: Re: linux-next: v4l-dvb tree build failure

From: Greg KH <[email-masked]>
Date: Fri, 7 Nov 2008 20:38:16 -0800

On Sat, Nov 08, 2008 at 04:05:35AM +0100, Sam Ravnborg wrote:
> On Sat, Nov 08, 2008 at 09:59:50AM +1100, Stephen Rothwell wrote:
> > Hi Harvey,
> > 
> > On Fri, 07 Nov 2008 09:43:57 -0800 Harvey Harrison <[email-masked]> wrote:
> > >
> > > Is it really fair to drop the v4l tree when it was -staging that broke?  I'd humbly
> > > suggest that staging be weighted somewhat lower than the other trees.
> > 
> > There is no staging tree in linux-next, that driver is in Linus' tree.  I
> > agree that if there was a staging tree, it would be much lower priority.
> > 
> > Maybe we need some way to exclude the staging directory from
> > all{yes,mod}config builds ...
> 
> That is simple to do. Something like:
> 
> config STAGING_EXCLUDE_BUILD
> 	bool "Exclude Staging from the build"
> 
> 
> And test for this in the Staging Makefile
> 
> When this is set to 'y' then we will not build
> the staging tree.

While that would work, it does seem odd to be asked two things:
  "Staging drivers (y/N)"
if Y is chosen, they then get asked:
  "Exclude Staging from the build? (Y/n)"

It's like, "are you sure you really want to build this part of the
tree?"  If that would make people's lives easier, I have no objection to
it, it's just kind of funny :)

Stephen, what do you think?

thanks,

greg k-h